Information on source package libmodplug

Available versions

ReleaseVersion
jessie1:0.8.8.4-4.1
stretch1:0.8.8.5-3
buster1:0.8.9.0-2
bullseye1:0.8.9.0-2
sid1:0.8.9.0-2

Resolved issues

BugDescription
CVE-2013-4234Multiple heap-based buffer overflows in the (1) abc_MIDI_drum and (2) ...
CVE-2013-4233Integer overflow in the abc_set_parts function in load_abc.cpp in libm ...
CVE-2011-2915Off-by-one error in the CSoundFile::ReadAMS2 function in src/load_ams. ...
CVE-2011-2914Off-by-one error in the CSoundFile::ReadDSM function in src/load_dms.c ...
CVE-2011-2913Off-by-one error in the CSoundFile::ReadAMS function in src/load_ams.c ...
CVE-2011-2912Stack-based buffer overflow in the CSoundFile::ReadS3M function in src ...
CVE-2011-2911Integer overflow in the CSoundFile::ReadWav function in src/load_wav.c ...
CVE-2011-1761Multiple stack-based buffer overflows in the (1) abc_new_macro and (2) ...
CVE-2011-1574Stack-based buffer overflow in the ReadS3M method in load_s3m.cpp in l ...
CVE-2009-1513Buffer overflow in the PATinst function in src/load_pat.cpp in libmodp ...
CVE-2009-1438Integer overflow in the CSoundFile::ReadMed function (src/load_med.cpp ...
CVE-2006-4192Multiple buffer overflows in MODPlug Tracker (OpenMPT) 1.17.02.43 and ...

Security announcements

DSA / DLADescription
DSA-2751-1libmodplug - several
DSA-2415-1libmodplug - several
DSA-2226-1libmodplug - buffer overflow
DSA-1850-1libmodplug - arbitrary code execution

Search for package or bug name: Reporting problems